<?php

//Creado: Juan Pablo Sánchez Bracamontes, 08/12/2016. Se crea la vista para agregar una nueva especialidad en la administración de catálogos

use App\Libraries\ejLib;
$var = ejLib::getInstance();
$soapclient = $var->getWs();
$wsClave = $var->get_wsClave();

  ?>

  <?php
    $usuario = $_SESSION['usuario'];
    $decoded = $var->desencriptar_AES($usuario['nombre'], $usuario['x']);

    
  ?>

  <script>
  function add_espe(){
    var Id_Especialidad = $.trim(document.getElementById('Id_Especialidad').value); // 02 Ene 2019 . LI Juan Pablo Sanchez Bracamontes . Codigo agregado
    var rama = document.getElementById('vCat_Ramas').value;
    var especialidad = document.getElementById('tituloEspecialidad').value;
    var ncitas = document.getElementById('ncitas').value;
    var referenciar = document.getElementById('referenciar').value;

    if( Id_Especialidad ==='' ||  Id_Especialidad<0){ // 02 Ene 2019 . LI Juan Pablo Sanchez Bracamontes . Codigo agregado      
      $.notify('Es necesario actualizar el valor en el Identificador', 'warn');
      setTimeout(function(){ // Es necesario poner la asignación del foco poco menos despues de un segundo para que si lo observe el usuario
        $('#Id_Especialidad').focus();
      }, 800);
      return;
    }

    if( especialidad ==='' ||  especialidad.length < 2 ){ // 02 Ene 2019 . LI Juan Pablo Sanchez Bracamontes . Codigo agregado      
      $.notify('Es necesario actualizar el valor en el título de la especialidad', 'warn');
      setTimeout(function(){ // Es necesario poner la asignación del foco poco menos despues de un segundo para que si lo observe el usuario
        $('#tituloEspecialidad').focus();
      }, 800);
      return;
    }

    jqGetAjax('catalogo-add_Especialidad','tblMovimientosAddRama', { Id_Especialidad: Id_Especialidad, rama: rama, especialidad: especialidad, ncitas: ncitas, referenciar: referenciar }); // 02 Ene 2019 . LI Juan Pablo Sanchez Bracamontes . Codigo editado
    setTimeout(function(){ // Es necesario poner la asignación del foco poco menos despues de un segundo para que si lo observe el usuario
      jqGetAjax('cerrar','tblMovimientos', { });
      $( '#Listar').click();
    }, 800);

  }
  </script>

    <div class="row">
    <div class="titulo_fondo">
      <div class="titulo_pagina2">AGREGAR ESPECIALIDAD</div>
      <a href="#h_logo"><img src="Img/close.png" height="20"  class="cerrar_form" onclick="jqGetAjax('cerrar','tblMovimientos', { });" /></a>
    </div>
  </div>

  <div class="row">
    
    <div class=" form-group-sm  col-md-1">
      Identificador<input id="Id_Especialidad" type="text" class="form-control" />
    </div>

    <div class=" form-group-sm  col-md-2">
      Título<input id="tituloEspecialidad" type="text" class="form-control" />
    </div>

    <div class="form-group-sm  col-md-3">
      <div class="form-inline ">
        Rama
        {!! $var->getView('Catalogos\VistasController@vCat_Ramas','') !!}
      </div>
    </div>

    <div class="form-group-sm  col-md-1">
      N° de citas
      <select class="form-control" id="ncitas" name="ncitas">
        @for($i=1;$i<=20; ++$i)
          @if($i!=5)
        <option  value="{!! $i; !!}">{!! $i; !!}</option>
          @else
        <option  value="{!! $i; !!}" selected="selected">{!! $i; !!}</option>
          @endif
        @endfor
      </select>
    </div>

    <div class=" form-group-sm  col-md-1">
      Referenciable
      <select class="form-control" id="referenciar">
        <option value="1" selected="selected">SI</option>
        <option value="0">NO</option>
      </select>
    </div>
    <br>

    <img id="guardarEspecialidad" src="Img/Save.png" width="25px" height="25px"
    title="Guardar las especialidad con los valores capturados actualmente"
    style="cursor: pointer;" onclick="add_espe();"/>
  </div>

<div id="tblMovimientosAddRama" name="tblMovimientosAddRama">
